%define module_name             thinkpad
%define module_version          6.0
%define module_release          alt3

%define kversion	2.6.18
%define krelease	alt10.M41
%define flavour		xen-dom0

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132626.10.M41

Summary: IBM ThinkPad SMAPI BIOS drivers
License: GPL
Group: System/Kernel and hardware
URL: http://tpctl.sourceforge.net

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Patch0: thinkpad-5.8-alt-fix-compile.patch

ExclusiveOS: Linux
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

%description
Drivers for IBM System Management Application Program Interface
(SMAPI) BIOS found in some IBM ThinkPad laptop computers.

These are modules for your ALT Linux system.

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version
%patch0 -p1

%if "%kversion" > "2.6.0"
%__ln_s 2.6/drivers thinkpad/drivers
%__ln_s 2.6/include thinkpad/include
%else
%__ln_s 2.4/drivers thinkpad/drivers
%__ln_s 2.4/include thinkpad/include
%endif
ln -s smapi_call.s thinkpad/drivers/smapi_call.S

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make_build KERNEL_DIR=%_usrsrc/linux-%kversion-%flavour

%install
%__install -D -m644 thinkpad/man/thinkpad.4 %buildroot%_man4dir/thinkpad.4

%__install -d %buildroot/%module_dir %buildroot/%_docdir/%name-%version-%release

%if "%kversion" > "2.6.0"
cd thinkpad
cp AUTHORS ChangeLog README SUPPORTED-MODELS TECHNOTES \
	%buildroot/%_docdir/%name-%version-%release/
cd drivers
%endif

%makeinstall MODULE_INSTALL_DIR=%buildroot/%module_dir \
	DOC_DIR=%buildroot/%_docdir/%name-%version-%release

# unresolved symbols in 2.6
#rm -f %buildroot/%module_dir/thinkpadpm.*

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir
%_docdir/%name-%version-%release
%_man4dir/*

%changelog
* Thu Jun 26 2008 Michail Yakushin <silicium@altlinux.ru> 6.0-alt3.132626.10.M41
- Build for kernel-image-xen-dom0-2.6.18-alt10.M41.

* Tue Aug 07 2007 Dmitry V. Levin <ldv@altlinux.org> 6.0-alt3
- Raised module release number to fix package update.

* Sun Jul 08 2007 L.A. Kostis <lakostis@altlinux.ru> 6.0-alt2.1
- fix whitespaces.

* Mon Jan 29 2007 Sergey Vlasov <vsu@altlinux.ru> 6.0-alt2
- Removed unneeded "Prereq: modutils".

* Sat Jan 27 2007 Grigory Batalov <bga@altlinux.ru> 6.0-alt1
- New upstream release.

* Sat Apr 22 2006 Grigory Batalov <bga@altlinux.ru> 5.9-alt1
- 5.9

* Mon Mar 06 2006 Grigory Batalov <bga@altlinux.ru> 5.8-alt4
- Build for 2.6 kernels too.

* Mon Dec 26 2005 Sergey Vlasov <vsu@altlinux.ru> 5.8-alt3
- Fix build failure with binutils-2.16.91.0.3-alt2.

* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 5.8-alt2
- Rebuild for kernel 2.4.28.

* Thu Oct 14 2004 Grigory Batalov <bga@altlinux.ru> 5.8-alt1
- 5.8

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 5.0-alt3
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 5.0-alt2
- Rebuild for kernel 2.4.26.

* Wed Mar 31 2004 Grigory Batalov <bga@altlinux.ru> 5.0-alt1
- 5.0

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 4.8-alt3
- Updated for the new compiler version selection scheme (GCC_VERSION).

* Tue Dec 16 2003 Sergey Vlasov <vsu@altlinux.ru> 4.8-alt2
- Imported to kernel CVS.
- Spec file adaptation for CVS build conventions.
- Removed superfluous %%doc from %%files.
- Fixed %%module_dir definition.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Sat Dec 06 2003 Grigory Batalov <bga@altlinux.ru> 4.8-alt1.12
- Initial release
